%global __strip %{mingw32_strip}
%global __objdump %{mingw32_objdump}
%global svnver 1664

Name:      mingw-libgeotiff
Version:   1.3.0
Release:   0.8.svn%{svnver}%{?dist}
Summary:   GeoTIFF format library
Group:     System Environment/Libraries
License:   MIT
URL:       http://trac.osgeo.org/geotiff/

#svn -r %{svnver} export https://svn.osgeo.org/metacrs/geotiff/trunk/libgeotiff
#cd libgeotiff
#./autogen.sh
# mingw32-configure
#make dist
Source:    libgeotiff-%{version}.tar.gz

Patch0:    libgeotiff-noundefined.patch
BuildArch: noarch

BuildRequires: libtool
BuildRequires: mingw32-filesystem >= 35
BuildRequires: mingw32-gcc
BuildRequires: mingw32-binutils
BuildRequires: mingw32-libtiff
BuildRequires: mingw32-libjpeg
BuildREquires: mingw32-proj
BuildRequires: mingw32-zlib

%description
GeoTIFF represents an effort by over 160 different remote sensing, 
GIS, cartographic, and surveying related companies and organizations 
to establish a TIFF based interchange format for georeferenced 
raster imagery.

%package -n mingw32-libgeotiff
Summary:       GeoTIFF format library

%description -n mingw32-libgeotiff
GeoTIFF represents an effort by over 160 different remote sensing,
GIS, cartographic, and surveying related companies and organizations
to establish a TIFF based interchange format for georeferenced
raster imagery.

%prep
%setup -q -n libgeotiff-%{version}
%patch0 -p1

# fix wrongly encoded files from tarball
set +x
for f in `find . -type f` ; do
   if file $f | grep -q ISO-8859 ; then
      set -x
      iconv -f ISO-8859-1 -t UTF-8 $f > ${f}.tmp && \
         mv -f ${f}.tmp $f
      set +x
   fi
   if file $f | grep -q CRLF ; then
      set -x
      sed -i -e 's|\r||g' $f
      set +x
   fi
done
set -x

# remove junks
find . -name ".cvsignore" -exec rm -rf '{}' \;

%build

# disable -g flag removal
sed -i 's| \| sed \"s\/-g \/\/\"||g' configure

# use gcc -shared instead of ld -shared to build with -fstack-protector
sed -i 's|LD_SHARED=@LD_SHARED@|LD_SHARED=@CC@ -shared|' Makefile.in

%{mingw32_configure} --with-proj --with-jpeg --with-zip

make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install

# install pkgconfig file
cat > libgeotiff.pc <<EOF
prefix=%{mingw32_prefix}
exec_prefix=%{mingw32_prefix}
libdir=%{mingw32_libdir}
includedir=%{mingw32_includedir}/%{name}

Name: libgeotiff
Description: GeoTIFF file format library
Version: %{version}
Libs: -L\%{mingw32_libdir} -lgeotiff
Cflags: -I\%{mingw32_includedir}
EOF

mkdir -p %{buildroot}%{mingw32_libdir}/pkgconfig/
install -p -m 644 libgeotiff.pc %{buildroot}%{mingw32_libdir}/pkgconfig/

# Remove unnecessary files
rm $RPM_BUILD_ROOT%{mingw32_bindir}/*.exe
rm $RPM_BUILD_ROOT%{mingw32_libdir}/libgeotiff.a
rm $RPM_BUILD_ROOT%{mingw32_libdir}/*.la

# Remove the empty file
rm $RPM_BUILD_ROOT%{mingw32_datadir}/epsg_csv/codes.csv

%files -n mingw32-libgeotiff
%doc ChangeLog README
%{mingw32_bindir}/libgeotiff-1.dll
%{mingw32_includedir}/*
%{mingw32_datadir}/*
%{mingw32_libdir}/libgeotiff.dll.a
%{mingw32_libdir}/pkgconfig/libgeotiff.pc

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-0.8.svn1664
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Aug 25 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.3.0-0.7.svn1664
- Rebuild against latest libtiff

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-0.6.svn1664
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Mar 07 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.3.0-0.5.svn1664
- Renamed the source package to mingw-libgeotiff (RHBZ #800905)
- Use mingw macros without leading underscore
- Dropped unneeded RPM tags
- Dropped empty devel subpackage

* Tue Feb 28 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.3.0-0.4.svn1664
- Rebuild against the mingw-w64 toolchain

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-0.3.svn1664
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-0.2.svn1664
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 15 2009 David Ludlow <dave@adsllc.com> - 1.3.0-1.svn1664
- Fedora packaging updates

* Wed Sep 9 2009 David Ludlow <dave@adsllc.com> - 1.2.5-4
- Initial creation of mingw32 package
